$(document).ready(function () {
    initializate()
    loadGrid();
})
function initializate() {

    $('input[name="maintenanceType"]').change(function() {
        if ($(this).is(':checked')) {
            console.log($(this).val()); // 输出选中的值
            switch ($(this).val()) {
                case 'new':
                    if($("#mtart").val()=="ZMPN"){
                        UICtrl.enable($("#matnr"));
                    }else {
                        UICtrl.disable($("#matnr"));
                    }
                    UICtrl.disable($("#lvorm"));
                    UICtrl.enable($("#mtart"));
                    UICtrl.enable($("#matkl"));
                    UICtrl.enable($("#spart"));
                    break;
                case 'modify':
                    UICtrl.enable($("#lvorm"))
                    UICtrl.disable($("#mtart"));
                    UICtrl.disable($("#matkl"));
                    UICtrl.disable($("#spart"));
                    break;
                case 'extend':
                    UICtrl.enable($("#lvorm"))
                    UICtrl.disable($("#mtart"));
                    UICtrl.disable($("#matkl"));
                    UICtrl.disable($("#spart"));
                    break;
            }
        }
    });

    $('input[name="businessUsage"]').change(function() {
        if ($(this).is(":checked")) {
            console.log($(this).val()); // 输出选中的值
        }
    });

}


function loadGrid() {
    resourceGridManager =  UICtrl.grid("#businessPersonnelListGrid", {
        columns: [
            { display: "部门", name: "version", width: 200, minWidth: 60, type: "string", align: "left" },
            { display: "部门人员", name: "resourceName", width: 200, minWidth: 60, type: "string", align: "left",
                editor: {
                    required: true, type: "select",
                    data: {
                        type: 'system',
                        name: "resourceNameGroup",
                        back: {
                            id: "resourceId",
                            gxmc:"resourceName",
                            version:"version",
                        },
                        getParam: function () {
                            return {paramValue: $("#processType").val()}
                        },
                    },
                }
            }

        ],
        dataAction: "server",
        url: web_app.name + '/process/slicedProcessResourceList.ajax',
        parms:{processId:$("#processId").val()},
        pageSize: 20,
        usePager: false,
        enabledEdit: true,
        width: "100%",
        height: "300",
        heightDiff: -8,
        fixedCellHeight: true,
        selectRowButtonOnly: true
    });
    UICtrl.setSearchAreaToggle(resourceGridManager);
}