package com.huigou.topsun.sap.purchase.controller;

import com.huigou.uasp.annotation.ControllerMapping;
import com.huigou.uasp.annotation.SkipAuth;
import com.huigou.uasp.client.CommonController;
import com.huigou.util.JSONUtil;
import com.huigou.util.SDO;
import org.springframework.stereotype.Controller;

import java.util.HashMap;

/**
 * @Auther: xin.lu
 * @Date: 2024/01/05/15:01
 * @Description:
 */
@Controller
@ControllerMapping("/sapPurchaseApproval")
public class SapPurchaseApprovalController extends CommonController {

    @SkipAuth
    public String getSapPurchaseApproval(){
        SDO sdo = this.getSDO();
        HashMap<String, Object> messageMap = new HashMap<>();
        messageMap.put("Message_Status","S");
        messageMap.put("Message_Text","成功");
        return toResult(messageMap);
    }
}
